import 'package:flutter/services.dart';

/// 检查更新结果实体
class UpgradeCheckResultModel {
  /// 新版本号
  final String version;

  /// 是否需要强制升级
  final bool isCoerce;

  /// 更新备注
  final String notes;

  /// 更新文件下载地址
  final String downloadUrl;

  final bool isNeedUpdate;

  UpgradeCheckResultModel({
    required this.isNeedUpdate,
    required this.version,
    required this.isCoerce,
    required this.notes,
    required this.downloadUrl,
  });
}
