import 'package:vnote_device_plugin/consts/types.dart';

abstract class DevicesSettingConsts {
  // ignore: non_constant_identifier_names
  static final TYPE_NAMES = <String, String>{
    DeviceTypes.TEMP: "体温计",
    DeviceTypes.WEIGHT: "体重秤",
    DeviceTypes.SUGAR: "血糖仪",
    DeviceTypes.SPO2: "血氧仪",
    DeviceTypes.NIBP: "血压计",
    DeviceTypes.URINE: "尿液分析仪",
    DeviceTypes.IC_READER: "人证阅读器",
    DeviceTypes.HEART: "心电",
  };

  /// 根据类型获取名称
  static String getDeviceNameByType(String type) {
    return TYPE_NAMES[type] ?? type;
  }
}
