import 'package:fis_jsonrpc/rpc.dart';

abstract class RpcEnumLabels {
  static final gender = <GenderEnum, String>{
    GenderEnum.Male: "男",
    GenderEnum.Female: "女",
    GenderEnum.Unknown: "未知",
    GenderEnum.Unspecified: "未说明",
  };

  static final cardType = <CardTypeEnum, String>{
    CardTypeEnum.Identity: "身份证",
    CardTypeEnum.Passport: "护照",
    CardTypeEnum.SocialInsurance: "社保卡",
  };

  static final followUpMode = <FollowUpModeEnum, String>{
    FollowUpModeEnum.Outpatient: "门诊",
    FollowUpModeEnum.Visit: "家庭",
    FollowUpModeEnum.Phone: "电话",
  };
}
