import 'package:vitalapp/managers/interfaces/base.dart';

/// 医生(用户)管理
abstract class IDoctorManager implements IManager {
  /// 同步用户详情
  Future<void> syncInfo();

  /// 设置签名
  Future<bool> setSignature(String signature);
}
