import 'package:vitalapp/pages/medical/models/worker.dart';

class MedicalItem {
  MedicalItem({
    required this.diagnosticItem,
    required this.key,
    this.diagnosisData,
    this.diagnosisWorkerStatus = WorkerStatus.connecting,
  });

  /// 诊疗项目
  final String diagnosticItem;

  /// 诊疗key
  final String key;

  /// 诊疗数据
  String? diagnosisData;

  /// 诊疗仪器状态
  WorkerStatus diagnosisWorkerStatus;
}

enum PressureStatus {
  left, // 血压左侧

  right, // 血压右侧
}

enum PressureDeviceStatus {
  start,

  // 开始
  end,

  // 结束
}
